package com.elephant.framework.galaxy.aroad.bigdata;

public class BaseRoadToll_String {
    private String id;//序号
    private String roadCode;//所在路线编号
    private String roadName;//所在路线名称
    private String number;//收费站桩号
    private String code;//收费站编码
    private String name;//收费站名称
    private String shortName;//收费站简称
    private String tecLevel;//所在路线技术等级
    private String locationType;//收费站位置类型
    private String tollDirection;//收费方向
    private String entNum;//入口车道数（条）
    private String entEtcNum;//入口ETC车道数
    private String entMtcNum;//入口MTC车道数
    private String entMixNum;//入口混合车道数
    private String expNum;//出口车道数（条）
    private String expEtcNum;// 出口ETC车道数
    private String expMtcNum;//出口MTC车道数
    private String expMixNum;//出口混合车道数
    private String managementUnit;//管理单位
    private String longitude;//经度
    private String latitude;//纬度

    public BaseRoadToll_String() {
    }

    public BaseRoadToll_String(String id, String roadCode, String roadName, String number, String code, String name, String shortName, String tecLevel, String locationType, String tollDirection, String entNum, String entEtcNum, String entMtcNum, String entMixNum, String expNum, String expEtcNum, String expMtcNum, String expMixNum, String managementUnit, String longitude, String latitude) {
        this.id = id;
        this.roadCode = roadCode;
        this.roadName = roadName;
        this.number = number;
        this.code = code;
        this.name = name;
        this.shortName = shortName;
        this.tecLevel = tecLevel;
        this.locationType = locationType;
        this.tollDirection = tollDirection;
        this.entNum = entNum;
        this.entEtcNum = entEtcNum;
        this.entMtcNum = entMtcNum;
        this.entMixNum = entMixNum;
        this.expNum = expNum;
        this.expEtcNum = expEtcNum;
        this.expMtcNum = expMtcNum;
        this.expMixNum = expMixNum;
        this.managementUnit = managementUnit;
        this.longitude = longitude;
        this.latitude = latitude;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getRoadCode() {
        return roadCode;
    }

    public void setRoadCode(String roadCode) {
        this.roadCode = roadCode;
    }

    public String getRoadName() {
        return roadName;
    }

    public void setRoadName(String roadName) {
        this.roadName = roadName;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getShortName() {
        return shortName;
    }

    public void setShortName(String shortName) {
        this.shortName = shortName;
    }

    public String getTecLevel() {
        return tecLevel;
    }

    public void setTecLevel(String tecLevel) {
        this.tecLevel = tecLevel;
    }

    public String getLocationType() {
        return locationType;
    }

    public void setLocationType(String locationType) {
        this.locationType = locationType;
    }

    public String getTollDirection() {
        return tollDirection;
    }

    public void setTollDirection(String tollDirection) {
        this.tollDirection = tollDirection;
    }

    public String getEntNum() {
        return entNum;
    }

    public void setEntNum(String entNum) {
        this.entNum = entNum;
    }

    public String getEntEtcNum() {
        return entEtcNum;
    }

    public void setEntEtcNum(String entEtcNum) {
        this.entEtcNum = entEtcNum;
    }

    public String getEntMtcNum() {
        return entMtcNum;
    }

    public void setEntMtcNum(String entMtcNum) {
        this.entMtcNum = entMtcNum;
    }

    public String getEntMixNum() {
        return entMixNum;
    }

    public void setEntMixNum(String entMixNum) {
        this.entMixNum = entMixNum;
    }

    public String getExpNum() {
        return expNum;
    }

    public void setExpNum(String expNum) {
        this.expNum = expNum;
    }

    public String getExpEtcNum() {
        return expEtcNum;
    }

    public void setExpEtcNum(String expEtcNum) {
        this.expEtcNum = expEtcNum;
    }

    public String getExpMtcNum() {
        return expMtcNum;
    }

    public void setExpMtcNum(String expMtcNum) {
        this.expMtcNum = expMtcNum;
    }

    public String getExpMixNum() {
        return expMixNum;
    }

    public void setExpMixNum(String expMixNum) {
        this.expMixNum = expMixNum;
    }

    public String getManagementUnit() {
        return managementUnit;
    }

    public void setManagementUnit(String managementUnit) {
        this.managementUnit = managementUnit;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    @Override
    public String toString() {
        return "BaseRoadToll_String{" +
                "id='" + id + '\'' +
                ", roadCode='" + roadCode + '\'' +
                ", roadName='" + roadName + '\'' +
                ", number='" + number + '\'' +
                ", code='" + code + '\'' +
                ", name='" + name + '\'' +
                ", shortName='" + shortName + '\'' +
                ", tecLevel='" + tecLevel + '\'' +
                ", locationType='" + locationType + '\'' +
                ", tollDirection='" + tollDirection + '\'' +
                ", entNum='" + entNum + '\'' +
                ", entEtcNum='" + entEtcNum + '\'' +
                ", entMtcNum='" + entMtcNum + '\'' +
                ", entMixNum='" + entMixNum + '\'' +
                ", expNum='" + expNum + '\'' +
                ", expEtcNum='" + expEtcNum + '\'' +
                ", expMtcNum='" + expMtcNum + '\'' +
                ", expMixNum='" + expMixNum + '\'' +
                ", managementUnit='" + managementUnit + '\'' +
                ", longitude='" + longitude + '\'' +
                ", latitude='" + latitude + '\'' +
                '}';
    }
}